<?php
/*
Plugin Name: D3000 Box
Plugin URI: http://www.webdev3000.com/
Description: This widget displays latest software releases from Download3000.com.
Author: Csaba Kissi
Version: 1.0
Author URI: http://www.webdev3000..com/
*/

$arr_categories = Array('Audio and  MP3','Business','Development Tools','Education','Games','Graphics and Video','Home/Hobby','Internet','Shell & Desktop Enhancements','Utilities');
// Shows widget
function widget_d3000box($args) {
    global $arr_categories;
    extract($args); 
    $options = get_option("widget_d3000box");
    if(empty($options['title'])) $options['title'] = 'New software';
    echo $before_widget;  
    echo $before_title;  
    echo $options['title'];
    echo $after_title;
    ?>
    <style type="text/css">
       .widgetD3000 a{font-family: Arial;font-size: 10px;color: #666666;text-decoration: underline;}
       .widgetD3000 a:hover{font-family: Arial;font-size: 10px;color: #737373;text-decoration: underline;}
    </style>
    <div>    
    <script type="text/javascript">
    <!--
    //-->
    </script>
    <script type="text/javascript" src="http://www.download3000.com/static/widget/widget.php?id=<?php echo $options['cat']?>"></script>
    </div>
    <div align="right" style="text-align: right; padding-right: 5px;" class="widgetD3000"><a target="_blank" href="http://www.download3000.com">Free Software Download</a></div>
    <?
    echo $after_widget;
}
// Widget options
function control_d3000box() {
    global $arr_categories;
    $options = get_option("widget_d3000box");  
    if (!is_array( $options )) {
        $options = array(
        'title' => 'New software'
        );
    }
    if($_POST['sent'] == 'Y') {    
        $options['title'] = strip_tags(stripslashes($_POST['d3000box-title']));
        $options['cat'] = $_POST['d3000box-cat'];
        update_option("widget_d3000box", $options);
    }    
    ?>
    <div class="wrap">
    <?php    echo "<h2>" . __( 'D3000 Box settings', '' ) . "</h2>"; ?>
    <?php    echo "<h4>" . __( 'Settings', 'settings_h4' ) . "</h4>"; ?>    
    <form name="d3000box_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
    <input type="hidden" name="sent" value="Y">
    <table class="form-table">
    <tr> 
        <th><label for="d3000box-title">Title: </label></th>  
        <td><input type="text" id="d3000box-title" name="d3000box-title" value="<?php echo $options['title'];?>" /></td>
    </tr>
    <tr>
        <th><label for="d3000box-cat">Category: </label></th>  
        <td><select id="d3000box-cat" name="d3000box-cat">
             <option value="0">All Categories</option>
        <?php
          for($i=0;$i<count($arr_categories);$i++) {
              ?>
              <option value="<?php echo ($i+1)?>" <?php echo (($options["cat"]== ($i+1))?' selected':''); ?>><?php echo $arr_categories[$i] ?></option>
              <?php
          }
        ?>
            </select>
        </td>    
    </tr>    
    </table>
    <p class="submit">
      <input class="button-primary" type="submit" name="Submit" value="<?php _e('Update Options', 'oscimp_trdom' ) ?>" />
    </p>
    </form>
    </div> 
    <?php
}
function control_d3000box_() {
   ?>
   <p>  
     To configure this widget go to (Settings/D3000 Box) or click <a href='<?php echo get_bloginfo('wpurl')?>/wp-admin/options-general.php?page=D3000%20Box'>here</a>
   </p>
   <?php  
}
function init_d3000box(){
    register_sidebar_widget('New software', 'widget_d3000box');
    register_widget_control('New software', 'control_d3000box_');  
}
function d3000box_admin_actions() {
    add_options_page("D3000 Box", "D3000 Box", 1, "D3000 Box", "control_d3000box");
}

add_action('plugins_loaded', 'init_d3000box');
add_action('admin_menu', 'd3000box_admin_actions');
?>
